Bug 983189 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
[abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:b2a2ebcec78b0e638224f65be50...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 12:22 EDT by Dan Waleke
Modified: 2014-06-10 14:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 14:56:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (82.42 KB, text/plain)
2013-07-10 12:22 EDT, Dan Waleke
no flags Details

  None (edit)
Description Dan Waleke 2013-07-10 12:22:26 EDT
Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
IP: [<ffffffffa027f2f3>] nouveau_object_ctor+0x23/0xc0 [nouveau]
PGD 0 
Oops: 0002 [#1] SMP 
Modules linked in: vfat fat iTCO_wdt iTCO_vendor_support eeepc_wmi asus_wmi sparse_keymap rfkill acpi_cpufreq mperf coretemp ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_sanyo_decoder kvm ir_sony_decoder ir_jvc_decoder crc32_pclmul crc32c_intel ir_rc6_decoder ir_rc5_decoder ir_nec_decoder nouveau(+) ghash_clmulni_intel lpc_ich snd_hda_codec_hdmi rc_rc6_mce joydev mceusb rc_core mfd_core snd_hda_codec_realtek serio_raw microcode i2c_i801 mxm_wmi ttm r8169 snd_hda_intel(+) mii snd_hda_codec snd_seq snd_hwdep snd_seq_device mei snd_pcm snd_page_alloc snd_timer snd soundcore wmi i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU 1 
Pid: 330, comm: systemd-udevd Not tainted 3.9.9-301.fc19.x86_64 #1 System manufacturer System Product Name/P8H77-M
RIP: 0010:[<ffffffffa027f2f3>]  [<ffffffffa027f2f3>] nouveau_object_ctor+0x23/0xc0 [nouveau]
RSP: 0018:ffff8802143b38a0  EFLAGS: 00010286
RAX: 0000000010000000 RBX: 0000000000000010 RCX: ffff8802143b38e0
RDX: ffffffffa03400f0 RSI: ffff8802143bdc00 RDI: ffff8802143bdc00
RBP: ffff8802143b38d0 R08: 0000000000000018 R09: 0000000000000010
R10: ffffffffa027edc4 R11: 0000000000000000 R12: ffffffffa03400f0
R13: ffff880214660000 R14: ffffffffa0340120 R15: ffff8802143bdc00
FS:  00007ff19f63c880(0000) GS:ffff88021fb00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000010 CR3: 000000021232d000 CR4: 00000000001407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process systemd-udevd (pid: 330, threadinfo ffff8802143b2000, task ffff880212134650)
Stack:
 0000000000000000 ffff8802143bdc00 ffff8802143bdc00 ffff880214660000
 ffff88020a3be240 ffff8802143bdc00 ffff8802143b38f8 ffffffffa027dcbc
 0000000000000000 0000000000000000 0000000100001000 ffff8802143b3940
Call Trace:
 [<ffffffffa027dcbc>] nouveau_gpuobj_new+0x4c/0x50 [nouveau]
 [<ffffffffa02816a4>] nvc0_bar_ctor+0x124/0x450 [nouveau]
 [<ffffffffa027f2fd>] nouveau_object_ctor+0x2d/0xc0 [nouveau]
 [<ffffffffa02902bf>] nouveau_devobj_ctor+0x25f/0x710 [nouveau]
 [<ffffffffa027f2fd>] nouveau_object_ctor+0x2d/0xc0 [nouveau]
 [<ffffffffa027fbfb>] nouveau_object_new+0x17b/0x230 [nouveau]
 [<ffffffffa02f4363>] nouveau_drm_load+0x153/0x580 [nouveau]
 [<ffffffff813e321a>] ? device_register+0x1a/0x20
 [<ffffffffa002535e>] ? drm_get_minor+0x1fe/0x2a0 [drm]
 [<ffffffffa0027666>] drm_get_pci_dev+0x176/0x2b0 [drm]
 [<ffffffff8131b391>] ? __pci_set_master+0x61/0xd0
 [<ffffffffa02f49a2>] nouveau_drm_probe+0x212/0x2a0 [nouveau]
 [<ffffffff8131f89e>] local_pci_probe+0x3e/0x70
 [<ffffffff81320b91>] pci_device_probe+0x121/0x130
 [<ffffffff813e5c27>] driver_probe_device+0x87/0x390
 [<ffffffff813e6003>] __driver_attach+0x93/0xa0
 [<ffffffff813e5f70>] ? __device_attach+0x40/0x40
 [<ffffffff813e3c53>] bus_for_each_dev+0x63/0xa0
 [<ffffffff813e56ae>] driver_attach+0x1e/0x20
 [<ffffffff813e5238>] bus_add_driver+0x1e8/0x2b0
 [<ffffffffa036e000>] ? 0xffffffffa036dfff
 [<ffffffff813e6641>] driver_register+0x71/0x150
 [<ffffffffa036e000>] ? 0xffffffffa036dfff
 [<ffffffff8131f72b>] __pci_register_driver+0x4b/0x50
 [<ffffffffa00278ba>] drm_pci_init+0x11a/0x130 [drm]
 [<ffffffffa036e000>] ? 0xffffffffa036dfff
 [<ffffffffa036e04d>] nouveau_drm_init+0x4d/0x1000 [nouveau]
 [<ffffffff8100210a>] do_one_initcall+0x10a/0x160
 [<ffffffff810c2285>] load_module+0x1db5/0x26f0
 [<ffffffff81310d30>] ? ddebug_proc_write+0xf0/0xf0
 [<ffffffff810c2d56>] sys_finit_module+0x86/0xb0
 [<ffffffff8164f319>] system_call_fastpath+0x16/0x1b
Code: 48 89 e5 5d c3 0f 1f 00 0f 1f 44 00 00 55 48 89 e5 41 57 49 89 ff 41 56 41 55 41 54 49 89 d4 53 4c 89 cb 48 83 ec 08 4c 8b 72 08 <49> c7 01 00 00 00 00 41 ff 16 85 c0 41 89 c5 78 34 48 8b 3b 31 
RIP  [<ffffffffa027f2f3>] nouveau_object_ctor+0x23/0xc0 [nouveau]
 RSP <ffff8802143b38a0>
Comment 1 Dan Waleke 2013-07-10 12:22:32 EDT
Created attachment 771741 [details]
File: dmesg
Comment 2 Ben Skeggs 2013-09-16 20:47:52 EDT
There's something else really messed up in your kernel here.  It can't find the space to assign two important IO regions of the card that nouveau depends on.

I'll fix up Nouveau crashing here, and get it upstream, but this will only help the kernel crash and not make your card work.  You'll need to bug the kernel guys for that one.

I'll leave it up to you whether you want to use this bug for the crash, or the kernel bug.  If the latter, please reassign to the kernel maintainer.
Comment 3 Ionut Radu 2014-01-04 09:01:18 EST
Hi Dan,

Can you please tell me how did you obtain
dmesg file?
I have a similar problem with nouveau driver (it makes the kernel to crash) but I can't obtain dmesg file. The crash is earlier in my case (immediately after nouveau PRAMIN message)
https://bugzilla.redhat.com/show_bug.cgi?id=1026073

Thanks in advance,
Ionut Radu.
Comment 4 Ionut Radu 2014-01-04 11:55:09 EST

Nevermind, I've obtained a vmcore.

thanks,
Ionut Radu.

Note You need to log in before you can comment on or make changes to this bug.